- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GSmtp::ClientProtocol::Sender Class Referenceabstract

An interface used by ClientProtocol to send protocol messages. More...

`#include <gclientprotocol.h>`

Inheritance diagram for GSmtp::ClientProtocol::Sender:

## Public Member Functions
virtual bool | protocolSend (const std::string &, size_t offset, bool go_secure)=0
| Called by the Protocol class to send network data to the peer. More...
virtual | ~Sender ()

## Detailed Description

An interface used by ClientProtocol to send protocol messages.

Definition at line 173 of file gclientprotocol.h.

## Constructor & Destructor Documentation

GSmtp::ClientProtocol::Sender::~Sender | ( |  | ) |
| virtual

Definition at line 784 of file gclientprotocol.cpp.

## Member Function Documentation

virtual bool GSmtp::ClientProtocol::Sender::protocolSend | ( | const std::string & | ,
|  | size_t | offset,
|  | bool | go_secure
| ) |  |
| pure virtual

Called by the Protocol class to send network data to the peer.

The offset gives the location of the payload within the string buffer.

Returns false if not all of the string was send due to flow control. In this case ClientProtocol::sendDone() should be called as soon as the full string has been sent.

Throws on error, eg. if disconnected.

The documentation for this class was generated from the following files:

- gclientprotocol.h
- gclientprotocol.cpp